module.exports = {
	siteName: 'Gridsome Casper',
	siteUrl: 'https://www.gridsome.org',
	siteDescription: 'The professional publishing platform',
	titleTemplate: `%s - Gridsome`,

	templates: {
		GhostPost: '/:slug',
		GhostTag: '/tag/:slug',
		GhostAuthor: '/author/:slug'
	},

	plugins: [
		{
			use: '@gridsome/plugin-google-analytics',
			options: {
				id: 'UA-XXXXXXXXX-X'
			}
		},
		{
			use: '@gridsome/source-ghost',
			options: {
				baseUrl: process.env.GHOST_API_URL,
				contentKey: process.env.GHOST_CONTENT_KEY,
				routes: {
					post: '/:slug',
					page: '/:slug',
					author: '/author/:slug'
				}
			}
		},
	]
}
